getCodonCounts {AnaCoDa} | R Documentation

## Get Codon Counts For all Amino Acids

### Description

provides the codon counts for a fiven amino acid across all genes

### Usage

    getCodonCounts(genome)

### Arguments

`genome` | A genome object from which the counts of each codon can be obtained.

### Details

The returned matrix containes a row for each gene and a coloumn for each synonymous codon of `aa`.

### Value

Returns a data.frame storing the codon counts for each amino acid.

### Examples

    genome_file <- system.file("extdata", "genome.fasta", package = "AnaCoDa")

    ## reading genome
    genome <- initializeGenomeObject(file = genome_file)
    counts <- getCodonCounts(genome)

[Package AnaCoDa version 0.1.3.0 Index]